# slurmdbd.conf
{{ ansible_managed | comment }}

{% for host in slurm_head_hosts %}
SlurmctldHost={{ host }}
{% endfor %}

MpiDefault=none
ProctrackType=proctrack/linuxproc
ReturnToService=1

SlurmctldPidFile=/var/run/slurmctld.pid
SlurmctldPort=6817
SlurmdPidFile=/var/run/slurmd.pid
SlurmdPort=6818
SlurmdSpoolDir=/var/spool/slurmd
SlurmUser=slurm

StateSaveLocation=/var/spool/slurmctld
SwitchType=switch/none
#TaskEpilog=
TaskPlugin=task/affinity
TaskPluginParam=Sched

{% if slurm_use_pam %}
UsePAM=1
{% endif %}

InactiveLimit=0
KillWait=30
MinJobAge=300
SlurmctldTimeout=120
SlurmdTimeout=300
Waittime=0

FastSchedule=1
SchedulerType=sched/backfill
SelectType=select/cons_res
SelectTypeParameters=CR_Core

{% if slurm_db_host is defined %}
AccountingStorageHost={{ slurm_db_host }}
AccountingStoragePort={{ slurm_db_port }}
AccountingStorageType=accounting_storage/slurmdbd
AccountingStoreJobComment=YES
{% else %}
AccountingStorageType=accounting_storage/none
{% endif %}
ClusterName=cluster
JobAcctGatherFrequency=30
JobAcctGatherType=jobacct_gather/linux
SlurmctldDebug=info
SlurmdDebug=info

{% for node in slurm_nodes %}
NodeName={{ node.name }}
{%-    for k, v in node.items() -%}
{%         if k != 'name' %} {{ k }}={{ v }}{% endif %}
{%-     endfor %}
{% endfor %}

{% for partition in slurm_partitions %}
PartitionName={{ partition.name }}
{%-    for k, v in partition.items() -%}
{%         if k != 'name' %} {{ k }}={{ v }}{% endif %}
{%-     endfor %}
{% endfor %}

{% if slurm_config | length > 0 %}
# -- other options
{% for key, value in slurm_config.items() %}
{{ key }}={{ value }}
{% endfor %}
{% endif %}
